# pci.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Data Structures

struct | confadd
struct | pciConfig

## Defines

#define | countof(a) (sizeof(a) / sizeof(a[0]))

## Functions

int | pciInit ()
bool | pciProbe (int bus, int dev, int func, struct pciConfig *cfg)
uInt32 | pciRead (int bus, int dev, int func, int reg, int bytes)
void | pciWrite (int bus, int dev, int func, int reg, uInt32 v, int bytes)

## Define Documentation

#define countof | ( | a |  | ) | (sizeof(a) / sizeof(a[0]))

## Function Documentation

int pciInit | ( |  | ) |

bool pciProbe | ( | int | bus,
|  | int | dev,
|  | int | func,
|  | struct pciConfig * | cfg
| ) |

uInt32 pciRead | ( | int | bus,
|  | int | dev,
|  | int | func,
|  | int | reg,
|  | int | bytes
| ) |

void pciWrite | ( | int | bus,
|  | int | dev,
|  | int | func,
|  | int | reg,
|  | uInt32 | v,
|  | int | bytes
| ) |